Subject: Re: [RRG] draft-rja-ilnp-intro-01.txt

From: Brian E Carpenter <[email-masked]>
Date: Sun, 03 Aug 2008 13:38:25 +1200

On 2008-08-03 13:10, Tony Li wrote:
>  
> 
> |> IMHO they serve different purposes.  The FQDN is for locating it in  
> |> the first place.  Once you have found it, then the "I" is good as a  
> |> persistent node identifier for mobility and multipath.
> |
> |But does this function require a field that is present in all 
> |packets,  
> |and updating our transports to make place for this field?
> 
> 
> No, it's clearly not strictly required.  One could clearly put the
> identifier in the transport header, for example.  

Can you explain how to manage without it? Today a TCP session is
identified by a 4-tuple {dest addr, src addr, dest port, src port}.
[RFC 793 section 2.7]
In the brave new world we can't rely on {dest addr, src addr} so
don't we need another ID of some kind?

   Brian

> But then it's not there
> for firewalling, which *would* be nice, or for mobility.
> 
> It's a design choice, and it's a very nice and clean one.
> 
> I asked exactly the same question when I first heard the proposal, but it's
> grown on me over the years and I'm now convinced that it's in fact a very
> good choice.
> 
> Tony
> 
> 
> --
> to unsubscribe send a message to [email-masked] with the
> word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg
> 

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg